import { html as a } from "lit";
import { property as p } from "lit/decorators.js";
import { PieIconComponent as h } from "./PieIconComponent.js";
import { safeCustomElement as f } from "@justeattakeaway/pie-webc-core";
var g = Object.defineProperty, m = Object.getOwnPropertyDescriptor, i = (l, t, s, r) => {
  for (var e = r > 1 ? void 0 : r ? m(t, s) : t, o = l.length - 1, n; o >= 0; o--)
    (n = l[o]) && (e = (r ? n(t, s, e) : n(e)) || e);
  return r && e && g(t, s, e), e;
};
let c = class extends h {
  constructor() {
    super(...arguments), this.size = 32, this.defaultClasses = "c-pieIcon c-pieIcon--checkboxUnselectedLarge", this.class = "c-pieIcon c-pieIcon--checkboxUnselectedLarge", this.name = "IconCheckboxUnselectedLarge";
  }
  render() {
    return a`<svg width="${this._svgWidth}" height="${this._svgHeight}" fill="${this.fill}" xmlns="http://www.w3.org/2000/svg" role="presentation" focusable="false" fill="currentColor" viewBox="0 0 32 32" class="c-pieIcon c-pieIcon--checkboxUnselectedLarge"><path d="M24.75 27.375H7.25a2.633 2.633 0 0 1-2.625-2.625V7.25A2.633 2.633 0 0 1 7.25 4.625h17.5a2.633 2.633 0 0 1 2.625 2.625v17.5a2.633 2.633 0 0 1-2.625 2.625m-17.5-21a.88.88 0 0 0-.875.875v17.5c0 .481.394.875.875.875h17.5a.88.88 0 0 0 .875-.875V7.25a.88.88 0 0 0-.875-.875z"></path></svg>`;
  }
};
i([
  p({ type: String, reflect: !0 })
], c.prototype, "size", 2);
i([
  p({ type: String, reflect: !0 })
], c.prototype, "class", 2);
c = i([
  f("icon-checkbox-unselected-large")
], c);
export {
  c as IconCheckboxUnselectedLarge
};
